<?php
require_once("include.php");

$cmd = InputPage::formInput("cmd");
if(!isset($cmd)) $cmd = "";

switch ($cmd)
{
    case "del_cdrs":
        {
            $error = "";
            $deleted = 0;
            if(ReportingMethods::cleanupDelCDRs($error, $deleted) === false
                ) {
                    MainBackup::error("Deleting obsolete entries in del_cdrs failed: $error", "post");
                }
            else {
                MainBackup::doLog("$deleted obsolete entries in del_cdrs deleted");
            }
        }   
        break;
	default:
        {
            $months = intval(InputPage::formInput("months"));
            $weeks = intval(InputPage::formInput("weeks"));
            if(!isset($months) || $months == false) $months = 0;
            if(!isset($weeks) || $weeks == false) $weeks = 0;
            if($weeks <= 0 && $months <= 0) exit;
            $time = strtotime("-$months month -$weeks week", strtotime(date("Y-m-d")));

            $cdrs = 0;
            $error = "";
            $cond = "date_part('epoch', ".ReportingConfigConsts::colLocalTime." AT TIME ZONE 'UTC') < $time";
            if(ReportingMethods::deleteCDRs($cond, $error, $cdrs) === false) {
                MainBackup::error("CDR cleanup failed ($cdrs already deleted): $error", "post");
            }
            else {
                MainBackup::doLog("$cdrs CDRs deleted");
            }
        }
        break;
}
global $mainSession;
$mainSession->destroy();
?>